#[cfg(test)] mod tests;
mod controller;

use rocket_contrib::json::Json;

pub fn routes() -> Vec<rocket::Route> {
    routes![
        search_streets_json,
    ]
}

// URL: https://www.ivago.be/nl/particulier/autocomplete/garbage/streets?q=Lange
// TODO make this async
// TODO change this so it can return errors instead of empty json
#[get("/search?<street>")]
pub fn search_streets_json(street: String) -> Json<Vec<controller::Street>> {
    match controller::search_streets(&street) {
        Ok(streets) => Json(streets),
        Err(err) => {
            println!("{:?}", err);
            Json(Vec::new())
        },
    }
}
